#!/bin/sh

if [ x`id -u` != "x0" ]; then
  echo "You must have root rights to run this script"
  exit
fi

if [ -x "/opt/MyExport/MyExport" ] && [ -x "/opt/MyExport/MyExportC" ]; then
  cp "./MyExport" "/opt/MyExport" || exit
  echo
  echo "/opt/MyExport/MyExport is updated"
  echo
  cp "./MyExportC" "/opt/MyExport" || exit
  echo
  echo "/opt/MyExport/MyExportC is updated"
  echo
  echo 
  echo "MySQL Export updated successfully"
  echo
else
  if ! [ -x "/opt/MyExport/MyExport" ]; then
    echo
    echo "Previously installed file /opt/MyExport/MyExport not found."
  fi
  if ! [ -x "/opt/MyExport/MyExportC" ]; then
    echo
    echo "Previously installed file /opt/MyExport/MyExportC not found."
  fi
  echo
  echo "Update fail"
  echo
fi